Subject: Re: bug#10295: 24.0.92; Python completion fails on OSX (10.6.8)

From: Leo <[email-masked]>
Date: Sat, 28 Jan 2012 20:14:56 +0800

On 2012-01-27 16:03 +0800, Chong Yidong wrote:
> Hmm, I can't reproduce this on GNU/Linux.  The result of
> python-symbol-completions is always ("setdefault" "sys").

On OSX, a build with X11 can reproduce the bug too.

I run (python-symbol-completions "s") 4 times in a session started with
`emacs -q -nw' (24.0.92) and see this:

> OTOH, I don't see how the fixes to Bug#5390 or Bug#5694 would cause this
> problem, either.

Empirically speaking, I have been using python.el with that commit
reverted for some months now and have no trouble with completion.

Leo